SNEK-MEGA-INSTALL(1)

NAME
snek-uno-install - Install Snek to Arduino Uno

SYNOPSIS
snek-uno-install [OPTION]... [COMMAND]

DESCRIPTION
snek-uno-install installs the Snek programming language on an ATmega328P Arduino Uno board, including the ability to re-program the ATmega16u2 chip used as a usbserial converter.

OPTIONS

-port <port>
    Specifies the serial port to use when programming the ATmega328p chip, the default is '/dev/ttyACM0'.

-isp <ISP model>
    Specifies the programmer to use when programming the ATmega16u2 chip used as a usb to serial converter, common options are 'usbtiny' and 'avrisp2'. The default is 'usbtiny'.

-hex <snek.hex>
    Specifies the hex file to load to the board. The default is the currently installed version of Snek when programming the ATmega328p, and the currently installed version of the usbserial program when programming the ATmega16u2.

COMMANDS

snek
    Loads Snek to the target device. This is the default command. Note that snekde will not be able to get/put programs to the device without also reprogramming the ATmega16u2 device used as a usb to serial converter on the Arduino Uno board.

usbserial
    Loads the updated usbserial converter firmware to the ATmega16u2 device on the Arduino Uno board. This version supports the XON/XOFF flow control required for SnekDE to be able to successfully communicate with Snek running on the ATmega328p processor.

AUTHOR
Keith Packard